package ink.wgink.module.activiti.pojo.vos.oa.page;

import ink.wgink.pojo.dtos.department.DepartmentSimpleDTO;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: CurrentUserVO
 * @Description: 当前用户
 * @Author: wanggeng
 * @Date: 2022/4/27 23:17
 * @Version: 1.0
 */
public class CurrentUserVO {

    private String userId;
    private String userName;
    private List<DepartmentSimpleDTO> departments;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public List<DepartmentSimpleDTO> getDepartments() {
        return departments == null ? new ArrayList() : departments;
    }

    public void setDepartments(List<DepartmentSimpleDTO> departments) {
        this.departments = departments;
    }
}
